import cdsapi

c = cdsapi.Client()

prior_vars = [
    '2m_dewpoint_temperature',
    '2m_temperature',
    'maximum_2m_temperature_in_the_last_24_hours',
    'mean_sea_level_pressure',
    'minimum_2m_temperature_in_the_last_24_hours',
    'sea_ice_cover',
    'sea_surface_temperature'
]

for year in [1993,2016,2017,2019]:

    for var in prior_vars:

        if year < 2017: 
            type_seasonal = 'hindcast'
        else:
            type_seasonal = 'forecast'
            
        c.retrieve(
            'seasonal-original-single-levels',
            {
                'format':'grib',
                'variable':var,
                'originating_centre':'ecmwf',
                'system':'5',
                'month':'01',
                'day':'01',
                'leadtime_hour':[
                    '72',
                    '180'
                ],
                'year':str(year),
            },
            '../archives/prioritary/104_seas_for-daily-Slvls-'+type_seasonal+'-'+var+'-'+str(year)+'.grib')
